# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::LdapSearch Class Reference

This class is internal. More...

`#include <ldapclient.h>`

Inheritance diagram for KABC::LdapSearch:

[legend]
Collaboration diagram for KABC::LdapSearch:

[legend]
List of all members.

## Signals

void | searchData (const QStringList &)
void | searchData (const KABC::LdapResultList &)
void | searchDone ()

## Public Member Functions

void | startSearch (const QString &txt)
void | cancelSearch ()
bool | isAvailable () const

## Detailed Description

This class is internal.

Binary compatibiliy might be broken any time without notification. Do not use it.

We mean it!

Definition at line 207 of file ldapclient.h.

## Member Function Documentation

void KABC::LdapSearch::searchData | ( | const QStringList & |  | ) | `[signal]`

| Results, assembled as "Full Name <email>" (This signal can be emitted many times).

void KABC::LdapSearch::searchData | ( | const KABC::LdapResultList & |  | ) | `[signal]`

| Another form for the results, with separate fields (This signal can be emitted many times).

The documentation for this class was generated from the following files:

- ldapclient.h
- ldapclient.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:49 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003